<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>control/mmwave/src/mmwave_link.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_56ea320f36428fc096e6ea8f45d8dae0.html">control</a></li><li class="navelem"><a class="el" href="dir_bc5530914c18f88533c1e6a5b88262f4.html">mmwave</a></li><li class="navelem"><a class="el" href="dir_80f1ea73579a49cad871ea3dba22a1e5.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mmwave_link.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the mmWave control module which interfaces with the mmWave Link API and communicates with the BSS.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/mmwavelink.h&gt;</code><br />
<code>#include &lt;ti/control/mmwavelink/include/rl_driver.h&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave_8h.html">ti/control/mmwave/mmwave.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="mmwave__internal_8h.html">ti/control/mmwave/include/mmwave_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:acc6a976d2226a09f83073dd446e61a2a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mmwave__link_8c.html#acc6a976d2226a09f83073dd446e61a2a">MMWAVE_INIT_CALIB_SUCCESS</a>&#160;&#160;&#160;0x17FEU</td></tr>
<tr class="memdesc:acc6a976d2226a09f83073dd446e61a2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the bit mask derived from the mmWave Link to indicate that the RF Initialization procedure was successful. As per the documentation the bit mask is derived as follows:-.  <a href="#acc6a976d2226a09f83073dd446e61a2a">More...</a><br /></td></tr>
<tr class="separator:acc6a976d2226a09f83073dd446e61a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gac0f7e4519153c004c39a60076a038d20"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac0f7e4519153c004c39a60076a038d20">MMWave_mboxCallbackFxn</a> (Mbox_Handle handle, Mailbox_Type remoteEndpoint)</td></tr>
<tr class="separator:gac0f7e4519153c004c39a60076a038d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae21f6142ec2841f0b8e289193fecf364"><td class="memItemLeft" align="right" valign="top">static rlComIfHdl_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae21f6142ec2841f0b8e289193fecf364">MMWave_mboxOpen</a> (rlUInt8_t deviceIndex, uint32_t flags)</td></tr>
<tr class="separator:gae21f6142ec2841f0b8e289193fecf364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dd1d59725a2e3a8d39e61be29014e41"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6dd1d59725a2e3a8d39e61be29014e41">MMWave_mboxRead</a> (rlComIfHdl_t fd, uint8_t *pBuff, uint16_t len)</td></tr>
<tr class="separator:ga6dd1d59725a2e3a8d39e61be29014e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga360efb885c52c6300286c5eea94095ea"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga360efb885c52c6300286c5eea94095ea">MMWave_mboxWrite</a> (rlComIfHdl_t fd, uint8_t *pBuff, uint16_t len)</td></tr>
<tr class="separator:ga360efb885c52c6300286c5eea94095ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b8aa4e03400a398c720b67bec93f4cc"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b8aa4e03400a398c720b67bec93f4cc">MMWave_mboxClose</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga9b8aa4e03400a398c720b67bec93f4cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa057447ac2521545862d729296624d9d"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa057447ac2521545862d729296624d9d">MMWave_enableDevice</a> (rlUInt8_t deviceIndex)</td></tr>
<tr class="separator:gaa057447ac2521545862d729296624d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5187854e4a71654ecc634a5aa50e67e9"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5187854e4a71654ecc634a5aa50e67e9">MMWave_disableDevice</a> (rlUInt8_t deviceIndex)</td></tr>
<tr class="separator:ga5187854e4a71654ecc634a5aa50e67e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79691830411d7950b1ac3648c94f7697"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga79691830411d7950b1ac3648c94f7697">MMWave_maskHostIRQ</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga79691830411d7950b1ac3648c94f7697"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7652c729f4f6979a778cfbcf7fac231f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7652c729f4f6979a778cfbcf7fac231f">MMWave_unmaskHostIRQ</a> (rlComIfHdl_t fd)</td></tr>
<tr class="separator:ga7652c729f4f6979a778cfbcf7fac231f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb07361843b5d8e4f4b650d40e16f706"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb07361843b5d8e4f4b650d40e16f706">MMWave_waitIRQStatus</a> (rlComIfHdl_t fd, rlUInt8_t Level)</td></tr>
<tr class="separator:gafb07361843b5d8e4f4b650d40e16f706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafec6f0d5d6c0e7ff483106e52596231b"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafec6f0d5d6c0e7ff483106e52596231b">MMWave_registerInterruptHandler</a> (rlUInt8_t deviceIndex, RL_P_EVENT_HANDLER pHandler, void *pValue)</td></tr>
<tr class="separator:gafec6f0d5d6c0e7ff483106e52596231b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35cb2c4165072f9dd72960c67b919e23"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga35cb2c4165072f9dd72960c67b919e23">MMWave_spawn</a> (RL_P_OSI_SPAWN_ENTRY fxn, const void *pValue, uint32_t flags)</td></tr>
<tr class="separator:ga35cb2c4165072f9dd72960c67b919e23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga34e3d5be464a567f82d98bc79e3112dd"><td class="memItemLeft" align="right" valign="top">static rlInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga34e3d5be464a567f82d98bc79e3112dd">MMWave_computeCRC</a> (rlUInt8_t *ptrData, rlUInt32_t dataLen, rlUInt8_t crcType, rlUInt8_t *crc)</td></tr>
<tr class="separator:ga34e3d5be464a567f82d98bc79e3112dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43fb7a36a3dde4bc8bd65ef6162fa57e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga43fb7a36a3dde4bc8bd65ef6162fa57e">MMWave_asyncEventHandler</a> (uint8_t devIndex, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:ga43fb7a36a3dde4bc8bd65ef6162fa57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadccea8da32ee9ac9ad3fb5c6e76694be"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadccea8da32ee9ac9ad3fb5c6e76694be">MMWave_initCRC</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadccea8da32ee9ac9ad3fb5c6e76694be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac062ec39c0543da65e8ccf7fc0f8bcb4"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac062ec39c0543da65e8ccf7fc0f8bcb4">MMWave_deinitCRC</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gac062ec39c0543da65e8ccf7fc0f8bcb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e6232bf994ab0c0d2bf146663457984"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2e6232bf994ab0c0d2bf146663457984">MMWave_initMMWaveLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga2e6232bf994ab0c0d2bf146663457984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ab75b5e3b8d501b47c62cdb25958482"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4ab75b5e3b8d501b47c62cdb25958482">MMWave_deinitMMWaveLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga4ab75b5e3b8d501b47c62cdb25958482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff79f595d53c6a69316e32a052c4733f"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff79f595d53c6a69316e32a052c4733f">MMWave_internalLinkSync</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, uint32_t flag)</td></tr>
<tr class="separator:gaff79f595d53c6a69316e32a052c4733f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3487c1482f2df36f6fd9dfab08fe7dc"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf3487c1482f2df36f6fd9dfab08fe7dc">MMWave_configureProfileChirp</a> (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a> *ptrProfileHandle, int32_t *errCode)</td></tr>
<tr class="separator:gaf3487c1482f2df36f6fd9dfab08fe7dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9dabc7c323d24979915104e96588370b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9dabc7c323d24979915104e96588370b">MMWave_configBPM</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:ga9dabc7c323d24979915104e96588370b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac8f1bcc08c8d8ad182a456f2bc8b2a52">MMWave_configLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrControlCfg, int32_t *errCode)</td></tr>
<tr class="separator:gac8f1bcc08c8d8ad182a456f2bc8b2a52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba780bd0b722b1ef450e72a798cd658"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacba780bd0b722b1ef450e72a798cd658">MMWave_startLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gacba780bd0b722b1ef450e72a798cd658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadaad8c3860263bad0f699e3cd3d92b8b">MMWave_stopLink</a> (const <a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadaad8c3860263bad0f699e3cd3d92b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga81c894da774ee12e2cd29a2ee3cef8f1">MMWave_executeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga81c894da774ee12e2cd29a2ee3cef8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b4d46a7c427873a380abaae913bce87"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b4d46a7c427873a380abaae913bce87">MMWave_openLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga9b4d46a7c427873a380abaae913bce87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaeedf42bafc59208dbf7371cb6781ef61">MMWave_closeLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gaeedf42bafc59208dbf7371cb6781ef61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad619189275caf05f88965936091d9a33"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad619189275caf05f88965936091d9a33">MMWave_initLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:gad619189275caf05f88965936091d9a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga458d1da796aacfa5b2c9dc4c1ac0c84e">MMWave_deinitLink</a> (<a class="el" href="group___m_m_w_a_v_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabc5856c9a59f614a8f718c892090e86d">MMWave_MCB</a> *ptrMMWaveMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga458d1da796aacfa5b2c9dc4c1ac0c84e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the mmWave control module which interfaces with the mmWave Link API and communicates with the BSS. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="acc6a976d2226a09f83073dd446e61a2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MMWAVE_INIT_CALIB_SUCCESS&#160;&#160;&#160;0x17FEU</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This is the bit mask derived from the mmWave Link to indicate that the RF Initialization procedure was successful. As per the documentation the bit mask is derived as follows:-. </p>
<p>0 [Reserved] 1 APLL tuning 2 SYNTH VCO1 tuning 3 SYNTH VCO2 tuning 4 LODIST calibration 5 RX ADC DC offset calibration 6 HPF cutoff calibration 7 LPF cutoff calibration 8 Peak detector calibration 9 TX Power calibration 10 RX gain calibration 11 [Reserved] 12 RX IQMM calibration 31:13 [Reserved] </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
